| Home · API Reference · Modules

Public Member Functions | List of all members
MImUpdateEvent Class Reference
Plugin API

`#include <updateevent.h>`

Inheritance diagram for MImUpdateEvent:
[legend]

## Public Member Functions

| MImUpdateEvent (const QMap< QString, QVariant > &update, const QStringList &propertiesChanged)
| MImUpdateEvent (const QMap< QString, QVariant > &update, const QStringList &propertiesChanged, const Qt::InputMethodHints &lastHints)
QVariant | value (const QString &key) const
QStringList | propertiesChanged () const
Qt::InputMethodHints | hints (bool *changed=0) const
bool | westernNumericInputEnforced (bool *changed=0) const
bool | preferNumbers (bool *changed=0) const
bool | translucentInputMethod (bool *changed=0) const
Public Member Functions inherited from MImExtensionEvent
| MImExtensionEvent (Type type)
virtual | ~MImExtensionEvent ()
Type | type () const

## Additional Inherited Members

Public Types inherited from MImExtensionEvent
enum | Type
Protected Member Functions inherited from MImExtensionEvent
| MImExtensionEvent (MImExtensionEventPrivate *dd, Type type)
Protected Attributes inherited from MImExtensionEvent
MImExtensionEventPrivate *const | d_ptr

## Detailed Description

Monitor the input method properties sent by the application.

## Constructor & Destructor Documentation

## ◆ MImUpdateEvent() [1/2]

MImUpdateEvent::MImUpdateEvent | ( | const QMap< QString, QVariant > & | update,
|  | const QStringList & | propertiesChanged )

explicit

C'tor

Parameters

  update | the map containing all properties.
  propertiesChanged | a string list of changed properties.

## ◆ MImUpdateEvent() [2/2]

MImUpdateEvent::MImUpdateEvent | ( | const QMap< QString, QVariant > & | update,
|  | const QStringList & | propertiesChanged,
|  | const Qt::InputMethodHints & | lastHints )

explicit

C'tor

Parameters

  update | the map containing all properties.
  propertiesChanged | a string list of changed properties.
  lastHints | the last input method hints, as compared to the new ones in the updates map. Necessary to detect whether a flag flipped between update event.

## Member Function Documentation

## ◆ hints()

Qt::InputMethodHints MImUpdateEvent::hints | ( | bool * | changed = 0 | ) | const

Returns the focus widget's input method hints.

Parameters

  changed | whether this value changed with this event.

## ◆ preferNumbers()

bool MImUpdateEvent::preferNumbers | ( | bool * | changed = 0 | ) | const

Returns whether input field has Qt::ImhPreferNumbers hint set. False by default.

Parameters

  changed | whether this value changed with this event.

## ◆ propertiesChanged()

QStringList MImUpdateEvent::propertiesChanged | ( |  | ) | const

Returns list of keys that have changed, compared to last update event.

## ◆ translucentInputMethod()

bool MImUpdateEvent::translucentInputMethod | ( | bool * | changed = 0 | ) | const

Returns whether the input method should be styled translucently. Useful when apps need to display a lot of information, for example terminals. False by default.

Parameters

  changed | whether this value changed with this event.

## ◆ value()

QVariant MImUpdateEvent::value | ( | const QString & | key | ) | const

Returns invalid QVariant if key is invalid.

## ◆ westernNumericInputEnforced()

bool MImUpdateEvent::westernNumericInputEnforced | ( | bool * | changed = 0 | ) | const

Returns whether western numeric input should be shown, overridding language-specific numeric inputs. False by default.

Parameters

  changed | whether this value changed with this event.

Copyright © 2011 Nokia Corporation |  | Maliit